CREATE PERMISSION ROW_ACCESS_ACCOUNTANT ON IBMCARD.CUSTOMER
-------------------------------------------------------
-- Accounting information:
-- ROLE ACCOUNTANT is allowed to access his or her customers' rows
------------------------------------------------------------
FOR ROWS WHERE
(VERIFY_ROLE_FOR_USER(SESSION_USER, 'ACCOUNTANT') = 1
AND
IBMCARD.CUSTOMER.MGR_ID = SESSION_USER)
ENFORCED FOR ALL ACCESS
ENABLE;

