CREATE PERMISSION ROW_ACCESS_MARKETING ON IBMCARD.CUSTOMER
-------------------------------------------------------
-- MARKETING are allowed to access the rows where the customers
-- opted for receiving marketing calls.
------------------------------------------------------------
FOR ROWS WHERE
(VERIFY_ROLE_FOR_USER(SESSION_USER, 'MARKETING') = 1 AND
EXISTS (
SELECT 1 FROM IBMCARD.MARKETINGCHOICE C
WHERE IBMCARD.CUSTOMER.SSN = C.SSN AND C.VALUE = 'yes'))
ENFORCED FOR ALL ACCESS
ENABLE;

