#!/bin/sh
echo "
===========================================================
DB2 Bootcamp . Row and Column Access Control Hands-On Labs
===========================================================
 This script will create the Row and Column Access Control
 HOL environment
===========================================================
Creating Lab Environment...please wait."

echo "Adding users with permissions..."
chmod -R 777 /home/db2inst1/Documents/LabScripts/RCAC
useradd -G db2grp1 adam
useradd -G db2grp1 jill
useradd -G db2grp1 eric
useradd -G db2grp1 pamela
useradd -G db2grp1 anthony

echo "Set passwords for each user..."
echo "password" | passwd --stdin adam
echo "password" | passwd --stdin jill
echo "password" | passwd --stdin eric
echo "password" | passwd --stdin pamela
echo "password" | passwd --stdin anthony

echo "Configuring database environment"
su - -c /home/db2inst1/Documents/LabScripts/RCAC/setup/config2.sh db2inst1
echo "Done"
