##Create database
db2start;
db2 DROP DATABASE IBMCARD;
db2 CREATE DATABASE IBMCARD USING CODESET UTF-8 TERRITORY US;

##Connect to database
db2 CONNECT TO IBMCARD;

##Create CUSTOMER table
##CUSTOMER table stores information regarding IBMCARD.CUSTOMER
db2 "CREATE TABLE IBMCARD.CUSTOMER (
SSN VARCHAR(11),
NAME VARCHAR(10),
ADDRESS VARCHAR(30),
PHONE VARCHAR(12),
CARD_NUMBER VARCHAR(19),
BALANCE DECIMAL(12,2) WITH DEFAULT,
MGR_ID VARCHAR(10)
)";

##Create MARKETINGCHOICE table
##MARKETINGCHOICE table which stores what CUSTOMER opts
##to expose regarding his personal information
db2 "CREATE TABLE IBMCARD.MARKETINGCHOICE (
SSN VARCHAR(11),
VALUE VARCHAR(3)
)";

##Insert CUSTOMER data

db2 "INSERT INTO IBMCARD.CUSTOMER VALUES('123-55-1234', 'Max', '21 John Street', '905-413-2311', '1234-5678-9012-3456', 89.70, 'ERIC')";

db2 "INSERT INTO IBMCARD.MARKETINGCHOICE VALUES('123-55-1234', 'yes')";

db2 "INSERT INTO IBMCARD.CUSTOMER VALUES('123-58-9812', 'Mike', '98 Yonge Street', '905-232-5633', '3459-5344-6452-1234', 8.30, 'PAMELA')";

db2 "INSERT INTO IBMCARD.MARKETINGCHOICE VALUES('123-58-9812', 'no')";

db2 "INSERT INTO IBMCARD.CUSTOMER VALUES('123-11-9856', 'Sam', '50 Rogers Street', '905-413-2457', '4335-5633-5673-9634', 40.00, 'ERIC')";

db2 "INSERT INTO IBMCARD.MARKETINGCHOICE VALUES('123-11-9856', 'yes')";

db2 "INSERT INTO IBMCARD.CUSTOMER VALUES('123-19-1454', 'Dug', '76 Dallas Street', '905-331-1445', '7647-9246-2345-3452', 76.00, 'PAMELA')";

db2 "INSERT INTO IBMCARD.MARKETINGCHOICE VALUES('123-19-1454', 'no')";

db2 connect reset;
