--Creating roles and granting authority
CREATE ROLE MARKETING;
CREATE ROLE ACCOUNTANT;
CREATE ROLE MEMBERSHIP;
GRANT ROLE MARKETING TO USER JILL;
GRANT ROLE ACCOUNTANT TO USER ERIC;
GRANT ROLE ACCOUNTANT TO USER PAMELA;
GRANT ROLE MEMBERSHIP TO USER ANTHONY;


--Grant authority
GRANT SELECT, UPDATE ON TABLE IBMCARD.CUSTOMER TO ROLE ACCOUNTANT;
GRANT SELECT, INSERT ON TABLE IBMCARD.CUSTOMER TO ROLE MEMBERSHIP;
GRANT UPDATE (SSN, NAME, ADDRESS, PHONE, CARD_NUMBER) ON TABLE IBMCARD.CUSTOMER TO ROLE MEMBERSHIP;
GRANT SELECT ON TABLE IBMCARD.CUSTOMER TO ROLE MARKETING;
GRANT INSERT, SELECT, DELETE, UPDATE ON TABLE IBMCARD.MARKETINGCHOICE TO ROLE MEMBERSHIP;
GRANT CONNECT ON DATABASE TO USER ADAM;
